# afterEvaluate

abstract fun afterEvaluate(action: Action<in Project>)

Adds an action to call immediately after this project is evaluated.

Passes the project to the action as a parameter. Actions passed to this method execute in the same order they were passed. A parent project may add an action to its child projects to further configure those projects based on their state after their build files run.

If the project has already been evaluated, this method fails.

If you call this method within an `afterEvaluate` action, the passed action executes after all previously added `afterEvaluate` actions finish executing.

#### Parameters

action

the action to execute.

abstract fun afterEvaluate(@DelegatesTo(value = Project::class) closure: Closure)

Adds a closure to call immediately after this project is evaluated.

#### Parameters

closure

The closure to call.

#### See also

Project